Package org.eclipse.birt.chart.computation

# Class LegendLayoutHints

java.lang.Object
org.eclipse.birt.chart.computation.LegendLayoutHints

public final class LegendLayoutHints extends Object
LegendItemLayoutHints

## Constructor Summary

Constructors
Constructor
Description
`LegendLayoutHints(Size legendSize, Size titleSize, Label laTitle, boolean isMinSliceApplied, String minSliceText, LegendItemHints[] liha)`

## Method Summary

Modifier and Type
Method
Description
`Label`
`getLaTitle()`
`LegendItemHints[]`
`getLegendItemHints()`
`Size`
`getLegendSize()`
`String`
`getMinSliceText()`
`Size`
`getTitleSize()`
`boolean`
`isMinSliceApplied()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LegendLayoutHints

public LegendLayoutHints(Size legendSize, Size titleSize, Label laTitle, boolean isMinSliceApplied, String minSliceText, LegendItemHints[] liha)

## Method Details

### getLegendSize

public Size getLegendSize()

### getTitleSize

public Size getTitleSize()

### isMinSliceApplied

public boolean isMinSliceApplied()

### getMinSliceText

public String getMinSliceText()

### getLegendItemHints

public LegendItemHints[] getLegendItemHints()

### getLaTitle

public Label getLaTitle()

Returns:
  Returns the laTitle.